Check User Status

API gives user status (KYC Status and Wallet Status).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameRequirementDescription
mobileMandatoryCustomer mobile number

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/checkUser' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile":"7428585742"
}'
POST /cards/prepaid/checkUser HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
    "mobile":"97******05"
}
📘

Response Parameters

For Response Reference Click here

Sample Response

{
    "statuscode": "TXN",
    "actcode": "PCSCU2",
    "status": "User have aadhaar otp based kyc",
    "data": {
            "kycStatus": "Active",
            "walletStatus": "Active"
            },
    "timestamp": "YYYY-MM-DD HH:II:SS",
    "ipay_uuid": "h0069be1de76-e3bd-4f83-a8bd-7e08dfddb672-iBDV4k0anFAu",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
📘

Action Code Details

For Action Code details Click here

Body Params
int32

Customer mobile number

Headers
string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

int32
Defaults to 1

Auth-Code

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json